Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMQualifier

    java.lang.Object
      |
      +--com.sun.wbem.cim.CIMElement
            |
            +--com.sun.wbem.cim.CIMQualifier

public class CIMQualifier
extends CIMElement
implements java.lang.Cloneable

Creates and instantiates a CIM qualifier, a value that provides additional information about classes, associations, indications, methods, method , parameters, triggers, instances, properties, or references. Each CIM qualifier must have a CIMQualifierType. A CIM qualifier and its CIM qualifier type must have the same name. The CIM qualifier type is a template for creating a CIM qualifier. The default value of this CIM qualifier can override the default value of its CIM qualifier type.

See Also:
  Serialized Form

Constructor Summary
`CIMQualifier()` Constructor instantiates a CIM qualifier with empty name value fields.
`CIMQualifier(java.lang.String CIMQualifierName)` Constructor instantiates a CIM qualifier with the specified name.
`CIMQualifier(java.lang.String CIMQualifierName, CIMQualifierType cgt)` Constructor instantiates a CIM qualifier with the specified name and type.

Method Summary
`void` | `addFlavor(CIMFlavor newFlavor)` Adds the input flavor and verify that there is not any conflict.
`java.lang.Object` | `clone()` Returns a copy of this CIM qualifier.
`boolean` | `equals(java.lang.Object o)` Returns true if this qualifier is equal to the input.
`java.util.Vector` | `getFlavor()` Returns the CIM flavors for this CIM qualifier.
`CIMValue` | `getValue()` Returns the CIM value of this qualifier
`boolean` | `hasFlavor(CIMFlavor flavor)` Checks if the qualifier's flavor includes the input flavor.
`boolean` | `hasValue()` Checks if the qualifier has a value set.
`void` | `setDefaults(CIMQualifierType cqt)` Sets the CIM qualifier type for this qualifier to the specified type.
`void` | `setValue(CIMValue value)` Sets the CIM value of this qualifier to the specified value
`java.lang.String` | `toMOF()` Returns a MOF representation of the CIMQualifier.
`java.lang.String` | `toString()` Returns a String representation of the CIMQualifier.
`java.lang.String` | `toXml()` Returns an XML representation of this CIM qualifier.

Methods inherited from class com.sun.wbem.cim.CIMElement
`assign, getName, lessThan, setName`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIMQualifier

    public CIMQualifier()

  Constructor instantiates a CIM qualifier with empty name value fields.

### CIMQualifier

    public CIMQualifier(java.lang.String CIMQualifierName)

  Constructor instantiates a CIM qualifier with the specified name.
  Parameters:
    `CIMQualifierName` - the name to assign this qualifier

### CIMQualifier

    public CIMQualifier(java.lang.String CIMQualifierName,
                        CIMQualifierType cgt)

  Constructor instantiates a CIM qualifier with the specified name and type.
  Parameters:
    `CIMQualifierName` - The name for this qualifier
    `cgt` - The CIM qualifier type for this qualifier

Method Detail

### getValue

    public CIMValue getValue()

  Returns the CIM value of this qualifier
  Returns:
    The CIM value for this qualifier.

### setValue

    public void setValue(CIMValue value)

  Sets the CIM value of this qualifier to the specified value
  Parameters:
    `value` - the CIM value to assign this qualifier.

### setDefaults

    public void setDefaults(CIMQualifierType cqt)

  Sets the CIM qualifier type for this qualifier to the specified type. A CIM qualifier and its CIM qualifier type must have the same name. This method initializes this qualifier's flavors (inheritance rules), type, scope, and default values with the values of its CIM qualifier type.
  Parameters:
    `cqt` - the CIM qualifier type of this qualifier

### hasFlavor

    public boolean hasFlavor(CIMFlavor flavor)

  Checks if the qualifier's flavor includes the input flavor.
  Parameters:
    `flavor` - the flavor element which is checked for flavor inclusion.
  Returns:
    True if the flavor is included in the qualifier's flavor, otherwise false.

### addFlavor

    public void addFlavor(CIMFlavor newFlavor)

  Adds the input flavor and verify that there is not any conflict.
  Parameters:
    `newFlavor` - The flavor to be added

### toString

    public java.lang.String toString()

  Returns a String representation of the CIMQualifier. This method is intended to be used only for debugging purposes, and the format of the returned string may vary between implementations. The returned string may be empty but may not be null.
  Overrides:
    toString in class CIMElement
  Returns:
    A string representation of this qualifier.

### toMOF

    public java.lang.String toMOF()

  Returns a MOF representation of the CIMQualifier.
  Returns:
    A string representation of this qualifier in Managed Object Format (MOF)

### hasValue

    public boolean hasValue()

  Checks if the qualifier has a value set.
  Returns:
    True if a value is present, otherwise false.

### equals

    public boolean equals(java.lang.Object o)

  Returns true if this qualifier is equal to the input. Values are not compared, only the names
  Overrides:
    equals in class CIMElement
  Parameters:
    `o` - The object to compare.
  Returns:
    True if the input qualifier is equal, otherwise flase.

### clone

    public java.lang.Object clone()

  Returns a copy of this CIM qualifier.
  Returns:
    An object that is a copy of the specified CIM qualifier, including its name, identifier, value, and a vector of CIM flavors.

### getFlavor

    public java.util.Vector getFlavor()

  Returns the CIM flavors for this CIM qualifier.
  Returns:
    A vector of CIM flavors in this CIM qualifier.

### toXml

    public java.lang.String toXml()

  Returns an XML representation of this CIM qualifier.
  Returns:
    An XML representation of this CIM qualifier, using XML elements from the default XML namespace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD